﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.geom.Point;
	
	[SWF (width="600", height="600", frameRate="30", backgroundColor="#000000")]
	
	public class Suiveur extends Sprite
	{
		private var mover:Sprite;
		private var i:Number = 0;
		private var elem:Sprite;
		
		public function Suiveur()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(MouseEvent.MOUSE_DOWN, downHandler);
			stage.addEventListener(MouseEvent.MOUSE_UP, upHandler);
		}
		private function downHandler(e:MouseEvent):void
		{
			mover = new Sprite();
			addChild(mover);
			
			elem = new Sprite();
			mover.addChild(elem);
			
			elem.graphics.lineStyle(1,0xffffff,1);
			elem.graphics.moveTo(mouseX,mouseY);
			
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			mover.x+= -(mouseX-stage.stageWidth/2)/10;
			mover.y+= -(mouseY-stage.stageHeight/2)/10;
			
			elem.graphics.lineTo(mouseX-mover.x,mouseY-mover.y);
		}
		private function upHandler(e:MouseEvent):void
		{
			removeEventListener(Event.ENTER_FRAME, enterHandler);
			removeChild(mover);
			mover = null;
		}
	}
}